## dzl-preferences-group

dzl-preferences-group

## Functions

void | dzl_preferences_group_add ()
const gchar * | dzl_preferences_group_get_title ()
gint | dzl_preferences_group_get_priority ()
void | dzl_preferences_group_set_map ()
guint | dzl_preferences_group_refilter ()
GtkSizeGroup * | dzl_preferences_group_get_size_group ()

## Properties

gboolean | is-list | Read / Write / Construct Only
GtkSelectionMode | mode | Read / Write
int | priority | Read / Write / Construct Only
char * | title | Read / Write / Construct Only

## Types and Values

#define | DZL_TYPE_PREFERENCES_GROUP
| DzlPreferencesGroup

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlPreferencesGroup

## Implemented Interfaces

DzlPreferencesGroup implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_preferences_group_add ()

    void
    dzl_preferences_group_add (DzlPreferencesGroup *self,
                               GtkWidget *widget);

### dzl_preferences_group_get_title ()

    const gchar *
    dzl_preferences_group_get_title (DzlPreferencesGroup *self);

### dzl_preferences_group_get_priority ()

    gint
    dzl_preferences_group_get_priority (DzlPreferencesGroup *self);

### dzl_preferences_group_set_map ()

    void
    dzl_preferences_group_set_map (DzlPreferencesGroup *self,
                                   GHashTable *map);

### dzl_preferences_group_refilter ()

    guint
    dzl_preferences_group_refilter (DzlPreferencesGroup *self,
                                    DzlPatternSpec *spec);

### dzl_preferences_group_get_size_group ()

    GtkSizeGroup *
    dzl_preferences_group_get_size_group (DzlPreferencesGroup *self,
                                          guint column);

Gets a size group that can be used to organize items in a group based on columns.

#### Parameters

self | a DzlPreferencesGroup |

#### Returns

a GtkSizeGroup.

[not nullable][transfer none]

## Types and Values

### DZL_TYPE_PREFERENCES_GROUP

    #define DZL_TYPE_PREFERENCES_GROUP (dzl_preferences_group_get_type())

### DzlPreferencesGroup

    typedef struct _DzlPreferencesGroup DzlPreferencesGroup;

## Property Details

### The `“is-list”` property

      “is-list”                  gboolean

If the group should be rendered as a listbox.

Owner: DzlPreferencesGroup

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“mode”` property

      “mode”                     GtkSelectionMode

Owner: DzlPreferencesGroup

Flags: Read / Write

Default value: GTK_SELECTION_NONE

### The `“priority”` property

      “priority”                 int

Priority.

Owner: DzlPreferencesGroup

Flags: Read / Write / Construct Only

Default value: 0

### The `“title”` property

      “title”                    char *

Title.

Owner: DzlPreferencesGroup

Flags: Read / Write / Construct Only

Default value: NULL